import request from '@/utils/request'
// 查询当前登录用户信息
export function queryUserVal(query) {
  return request({
    url: '/system/user/queryUserVal',
    method: 'post'
  })
}

// 查询客户详情列表
export function listCorps(query) {
  return request({
    url: '/basicdata/customerDetails/corps/list',
    method: 'get',
    params: query
  })
}

// 查询商品详情列表
export function listGoods(query) {
  return request({
    url: '/basicdata/goods/list',
    method: 'get',
    params: query
  })
}

// 查询仓储费列表
export function listAgreements(query) {
  return request({
    url: '/warehouseBusiness/agreementStorage/list',
    method: 'get',
    params: query
  })
}

// 查询仓储费详细
export function getAgreement(fId) {
  return request({
    url: '/warehouseBusiness/agreementStorage/' + fId,
    method: 'get'
  })
}

// 新增仓储费
export function addAgreement(data) {
  return request({
    url: '/warehouseBusiness/agreementStorage',
    method: 'post',
    data: data
  })
}

// 修改仓储费
export function updateAgreement_s(fId, fStatus) {
  return request({
    url: '/warehouseBusiness/agreementStorage',
    method: 'put',
    data: {
      fId:fId,
      fStatus:fStatus
    }
  })
}

// 删除仓储费
export function delAgreement(fId) {
  return request({
    url: '/warehouseBusiness/agreementStorage/' + fId,
    method: 'delete'
  })
}

// 导出仓储费
export function exportAgreement(query) {
  return request({
    url: '/warehouseBusiness/agreementStorage/export',
    method: 'get',
    params: query
  })
}

// 查询仓储费明细表列表
export function listAgreementitems(query) {
  return request({
    url: '/warehouseBusiness/agreementitems/list',
    method: 'get',
    params: query
  })
}

// 仓储费请核
export function PleaseCheck(data) {
  return request({
    url: '/warehouseBusiness/agreementStorage/agreementStorageSubmission',
    method: 'post',
    data: data
  })
}

// 撤销请核
export function backFee(data) {
  return request({
    url: '/warehouseBusiness/agreementStorage/revoke',
    method: 'post',
    data: data
  })
}

// 撤销审批
export function RevocationApproval(data) {
  return request({
    url: '/warehouse/paths/revoke',
    method: 'post',
    data: data
  })
}
